import { create, createDiffEditor } from './vscode/src/vs/editor/standalone/browser/standaloneEditor.js';
export { errorHandler } from './vscode/src/vs/base/common/errors.js';
export { FoldingModel, setCollapseStateForMatchingLines } from './vscode/src/vs/editor/contrib/folding/browser/foldingModel.js';
export { FoldingController } from './vscode/src/vs/editor/contrib/folding/browser/folding.js';
import { IReference, IDisposable } from './vscode/src/vs/base/common/lifecycle.js';
export { DisposableStore } from './vscode/src/vs/base/common/lifecycle.js';
export { Registry } from './vscode/src/vs/platform/registry/common/platform.js';
export { IJSONContributionRegistry } from './vscode/src/vs/platform/jsonschemas/common/jsonContributionRegistry.js';
export { CommandsRegistry } from './vscode/src/vs/platform/commands/common/commands.js';
export { MenuId, MenuRegistry } from './vscode/src/vs/platform/actions/common/actions.js';
export { KeybindingsRegistry } from './vscode/src/vs/platform/keybinding/common/keybindingsRegistry.js';
export { IJSONSchema } from './vscode/src/vs/base/common/jsonSchema.js';
export { registerColor } from './vscode/src/vs/platform/theme/common/colorUtils.js';
import { URI } from './vscode/src/vs/base/common/uri.js';
import { IFileDeleteOptions } from './vscode/src/vs/platform/files/common/files.js';
import { ITextFileEditorModel } from './vscode/src/vs/workbench/services/textfile/common/textfiles.js';
export { ContextKeyExpr, RawContextKey } from './vscode/src/vs/platform/contextkey/common/contextkey.js';
import { KeybindingResolver } from './vscode/src/vs/platform/keybinding/common/keybindingResolver.js';
import { ResolvedKeybindingItem } from './vscode/src/vs/platform/keybinding/common/resolvedKeybindingItem.js';
import { Event } from './vscode/src/vs/base/common/event.js';
import { IKeybindingService } from './vscode/src/vs/platform/keybinding/common/keybinding.service.js';
export { EditorAction, EditorCommand, EditorContributionInstantiation, registerDiffEditorContribution, registerEditorAction, registerEditorContribution, registerMultiEditorAction } from './vscode/src/vs/editor/browser/editorExtensions.js';
export { IDiffEditorContribution, IEditorContribution } from './vscode/src/vs/editor/common/editorCommon.js';

declare function writeFile(uri: URI, content: string): Promise<void>;
declare function deleteFile(uri: URI, options?: Partial<IFileDeleteOptions>): Promise<void>;
declare function createModelReference(resource: URI, content?: string): Promise<IReference<ITextFileEditorModel>>;
interface KeybindingProvider {
    provideKeybindings(): ResolvedKeybindingItem[];
    onDidChangeKeybindings: Event<void>;
}
interface DynamicKeybindingService extends IKeybindingService {
    registerKeybindingProvider(provider: KeybindingProvider): IDisposable;
    _getResolver(): KeybindingResolver;
}
declare const createConfiguredEditor: typeof create;
declare const createConfiguredDiffEditor: typeof createDiffEditor;
declare const Extensions: {
    Configuration: string;
    JSONContribution: string;
};

export { type DynamicKeybindingService, Extensions, IReference, ITextFileEditorModel, type KeybindingProvider, createConfiguredDiffEditor, createConfiguredEditor, createModelReference, deleteFile, writeFile };
