import { localize } from '../../../../nls.js';
import { Color } from '../../../../base/common/color.js';
import { registerColor, transparent } from '../colorUtils.js';
import { focusBorder, contrastBorder } from './baseColors.js';
registerColor('sash.hoverBorder', focusBorder, ( localize(1932, "Border color of active sashes.")));
const badgeBackground = registerColor('badge.background', { dark: '#4D4D4D', light: '#C4C4C4', hcDark: Color.black, hcLight: '#0F4A85' }, ( localize(
 1933,
 "Badge background color. Badges are small information labels, e.g. for search results count."
)));
const badgeForeground = registerColor('badge.foreground', { dark: Color.white, light: '#333', hcDark: Color.white, hcLight: Color.white }, ( localize(
 1934,
 "Badge foreground color. Badges are small information labels, e.g. for search results count."
)));
const scrollbarShadow = registerColor('scrollbar.shadow', { dark: '#000000', light: '#DDDDDD', hcDark: null, hcLight: null }, ( localize(1935, "Scrollbar shadow to indicate that the view is scrolled.")));
const scrollbarSliderBackground = registerColor('scrollbarSlider.background', { dark: ( (( (Color.fromHex('#797979'))).transparent(0.4))), light: ( (( (Color.fromHex('#646464'))).transparent(0.4))), hcDark: ( (transparent(contrastBorder, 0.6))), hcLight: ( (transparent(contrastBorder, 0.4))) }, ( localize(1936, "Scrollbar slider background color.")));
const scrollbarSliderHoverBackground = registerColor('scrollbarSlider.hoverBackground', { dark: ( (( (Color.fromHex('#646464'))).transparent(0.7))), light: ( (( (Color.fromHex('#646464'))).transparent(0.7))), hcDark: ( (transparent(contrastBorder, 0.8))), hcLight: ( (transparent(contrastBorder, 0.8))) }, ( localize(1937, "Scrollbar slider background color when hovering.")));
const scrollbarSliderActiveBackground = registerColor('scrollbarSlider.activeBackground', { dark: ( (( (Color.fromHex('#BFBFBF'))).transparent(0.4))), light: ( (( (Color.fromHex('#000000'))).transparent(0.6))), hcDark: contrastBorder, hcLight: contrastBorder }, ( localize(1938, "Scrollbar slider background color when clicked on.")));
const progressBarBackground = registerColor('progressBar.background', { dark: ( (Color.fromHex('#0E70C0'))), light: ( (Color.fromHex('#0E70C0'))), hcDark: contrastBorder, hcLight: contrastBorder }, ( localize(
 1939,
 "Background color of the progress bar that can show for long running operations."
)));
export { badgeBackground, badgeForeground, progressBarBackground, scrollbarShadow, scrollbarSliderActiveBackground, scrollbarSliderBackground, scrollbarSliderHoverBackground };
