import { IColorTheme } from '../../../../platform/theme/common/themeService.js';
import { Color } from '../../../../base/common/color.js';

interface IActivity {
    readonly badge: IBadge;
    readonly priority?: number;
}
interface IBadge {
    getDescription(): string;
    getColors(theme: IColorTheme): IBadgeStyles | undefined;
}
interface IBadgeStyles {
    readonly badgeBackground: Color | undefined;
    readonly badgeForeground: Color | undefined;
    readonly badgeBorder: Color | undefined;
}

export type { IActivity, IBadge, IBadgeStyles };
