import Severity from '../../../../base/common/severity.js';
import '../../../../editor/editor.api.js';
import { Command } from '../../../../editor/common/languages.js';
import { IAccessibilityInformation } from '../../../../platform/accessibility/common/accessibility.js';
import { LanguageSelector } from '../../../../editor/common/languageSelector.js';

interface ILanguageStatus {
    readonly id: string;
    readonly name: string;
    readonly selector: LanguageSelector;
    readonly severity: Severity;
    readonly label: string | {
        value: string;
        shortValue: string;
    };
    readonly detail: string;
    readonly busy: boolean;
    readonly source: string;
    readonly command: Command | undefined;
    readonly accessibilityInfo: IAccessibilityInformation | undefined;
}

export type { ILanguageStatus };
