import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import { ITitlebarPart, IAuxiliaryTitlebarPart } from '../../../browser/parts/titlebar/titlebarPart.js';
import { IEditorGroupsContainer } from '../../editor/common/editorGroupsService.js';

declare const ITitleService: ServiceIdentifier<ITitleService>;
interface ITitleService extends ITitlebarPart {
    readonly _serviceBrand: undefined;
    /**
    * Get the status bar part that is rooted in the provided container.
    */
    getPart(container: HTMLElement): ITitlebarPart;
    /**
    * Creates a new auxililary title bar part in the provided container.
    */
    createAuxiliaryTitlebarPart(container: HTMLElement, editorGroupsContainer: IEditorGroupsContainer): IAuxiliaryTitlebarPart;
}

export { ITitleService };
